Kotlin 1.0.2 EAP


#1

We’re starting an EAP for Kotlin 1.0.2. Among a ton of bugfixes you’ll find:

  • experimental incremental compilation support for Gradle projects (use project property kotlin.incremental)
  • the standard library method count reduced by ~2k

Full changelog: https://github.com/JetBrains/kotlin/blob/1.0.2/ChangeLog.md#102

Build number: 1.0.2-eap-15

To use this build from Gradle or Maven, add https://dl.bintray.com/kotlin/kotlin-eap to your repositories. To use the new version of the Kotlin plugin for IntelliJ IDEA, configure Early Access Preview channel in Tools | Kotlin | Configure Kotlin Plugin Updates and press “Check for updates now”.


#2

A new EAP build 1.0.2-eap-44 is available. New in this build:

  • Lint checks from Android Studio 1.5 have been implemented for Kotlin
  • quite a few features related to Spring Support (for IntelliJ Ultimate users) are now available for Kotlin

Please see the updated changelog at: https://github.com/JetBrains/kotlin/blob/8469292/ChangeLog.md#102


#3

Hi, is it possible to use kapt with EAP version?

Because I’m getting following error:

Error:Could not find org.jetbrains.kotlin:kotlin-annotation-processing:1.0.2-eap-44.

I’ve added EAP dependency as following:

buildscript {
  ext.kotlin_version = '1.0.2-eap-44'
  repositories {
    jcenter()
    maven {
      url 'https://dl.bintray.com/kotlin/kotlin-eap'
    }
  }
  dependencies {
    classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
  }
}

#4

Not sure what may be wrong, the artifact is there and is working for me. You could try clearing the Gradle cache (erase .gradle directory in the home folder) and try again.


#5

And even if kapt is working is it reliable? My experience with 1.0 is that yes I can get kapt to work (assuming you don’t get the undiagnosable error about NonExistentClass), but it is not reliable in that it is easy to make changes to code that affects the annotation processing and the changes are not rebuilt leading to failed builds or often failures at runtime unless I do a clean build.


#6

I experienced the same problem, this bug should be fixed in 1.0.2.
This is the reason, why I’m trying to get 1.0.2-EAP working.


#7

I found the problem, bintray repo should have been added not only to buildscript repos, but to regular repos too.

Like this:

allprojects { repositories { maven { url 'https://dl.bintray.com/kotlin/kotlin-eap' } jcenter() } }

(or for single project).


#8

A new EAP build 1.0.2-eap-74 is available. In this build, among several other bugfixes, the integration of kapt (Kotlin annotation processing tool) with experimental incremental compilation in Gradle was fixed. If you were affected by this issue, please try the new build out and notify us if the problem is still there.


#9

Kotlin 1.0.2 is released. See this blogpost for more details.

Thanks to all EAP users, your feedback was very useful to us!